Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.oort
Class Oort.RemoteOortClientExtension

    java.lang.Object
      org.cometd.oort.Oort.RemoteOortClientExtension

All Implemented Interfaces:
  org.cometd.Extension

Enclosing class:
  Oort

    protected class Oort.RemoteOortClientExtension

extends java.lang.Object
implements org.cometd.Extension

An Extension installed on clients for remote Oort servers that prevents publish loops.

Constructor Summary
`protected` | `Oort.RemoteOortClientExtension()`

Method Summary
`boolean` | `queueMaxed(org.cometd.Client from, org.cometd.Client client, org.cometd.Message message)`
`org.cometd.Message` | `rcv(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `rcvMeta(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `send(org.cometd.Client from, org.cometd.Message message)`
`org.cometd.Message` | `sendMeta(org.cometd.Client from, org.cometd.Message message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Oort.RemoteOortClientExtension

    protected Oort.RemoteOortClientExtension()

Method Detail

### queueMaxed

    public boolean queueMaxed(org.cometd.Client from,
                              org.cometd.Client client,
                              org.cometd.Message message)

### rcv

    public org.cometd.Message rcv(org.cometd.Client from,
                                  org.cometd.Message message)

  Specified by:
    `rcv` in interface `org.cometd.Extension`

### rcvMeta

    public org.cometd.Message rcvMeta(org.cometd.Client from,
                                      org.cometd.Message message)

  Specified by:
    `rcvMeta` in interface `org.cometd.Extension`

### send

    public org.cometd.Message send(org.cometd.Client from,
                                   org.cometd.Message message)

  Specified by:
    `send` in interface `org.cometd.Extension`

### sendMeta

    public org.cometd.Message sendMeta(org.cometd.Client from,
                                       org.cometd.Message message)

  Specified by:
    `sendMeta` in interface `org.cometd.Extension`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.